# This file describes your repository contents.
# It should return a set of nix derivations
# and optionally the special attributes `lib`, `modules` and `overlays`.
# It should NOT import <nixpkgs>. Instead, you should take pkgs as an argument.
# Having pkgs default to <nixpkgs> is fine though, and it lets you use short
# commands such as:
#     nix-build -A mypackage
{pkgs ? import <nixpkgs> {}}: {
  # The `lib`, `modules`, and `overlay` names are special
  lib = import ./lib {inherit pkgs;}; # functions
  modules = import ./modules; # NixOS modules
  overlays = import ./overlays; # nixpkgs overlays

  # Personal projects
  git-age = pkgs.callPackage ./pkgs/git-age {};
  gomodinit = pkgs.callPackage ./pkgs/gomodinit {};
  imp = pkgs.callPackage ./pkgs/imp {};
  kv = pkgs.callPackage ./pkgs/kv {};
  tmpl = pkgs.callPackage ./pkgs/tmpl {};

  # Other projects
  opengist = pkgs.callPackage ./pkgs/opengist {};
  prospect-mail = pkgs.callPackage ./pkgs/prospect-mail {};
  tclip = pkgs.callPackage ./pkgs/tclip {};
}
