{
  buildGoModule,
  fetchFromGitHub,
  lib,
  ...
}:
buildGoModule rec {
  pname = "opengist";
  version = "1.4.2";

  src = fetchFromGitHub {
    owner = "thomiceli";
    repo = "opengist";
    rev = "v${version}";
    sha256 = "sha256-pDqjoeoVcsbLkAW9EGvIekeMoBqe6YR8LRgTiKS1wLA=";
  };

  vendorSha256 = "sha256-6qLiflF7ncQ6yXAAcxm9P4ZNFMOwPleKmmu1q6CpiXY=";

  ldflags = ["-s" "-w" "-X=github.com/thomiceli/opengist/internal/config.OpengistVersion.Version=${version}"];

  meta = with lib; {
    description = "Self-hosted pastebin powered by Git, open-source alternative to Github Gist. ";
    homepage = "https://github.com/thomiceli/opengist";
    license = licenses.agpl3;
  };
}
