{
  buildGoModule,
  fetchFromGitea,
  lib,
  ...
}:
buildGoModule rec {
  pname = "tmpl";
  version = "0.4.0";

  src = fetchFromGitea {
    domain = "git.jojodev.com";
    owner = "jolheiser";
    repo = "tmpl";
    rev = "v${version}";
    sha256 = "sha256-+7ovltRNhM8+STv629CC3fk9FaQDrClW6r1YcnV7Vqo=";
  };

  vendorSha256 = "sha256-PmguDbjTSz0jzj1pwUNZrO1aAFNkWSo/FAef29TjsGI=";

  ldflags = ["-s" "-w" "-X=go.jolheiser.com/tmpl/cmd.Version=${version}"];

  postInstall = ''
    mkdir -p $out/share
    cp -vr ./contrib/tmpl-completions.nu $out/share/tmpl-completions.nu
  '';

  meta = with lib; {
    description = "Template automation for bootstrapping projects";
    homepage = "https://git.jojodev.com/jolheiser/tmpl";
    license = licenses.mit;
  };
}
